local assets =
{
	Asset("ANIM", "anim/combatdown.zip"),
	Asset("IMAGE", "images/inventoryimages/combatdown.tex"),
	Asset("ATLAS", "images/inventoryimages/combatdown.xml"),
}


local function fn(Sim)
	local inst = CreateEntity()
	inst.entity:AddTransform()
	inst.entity:AddAnimState()

    MakeInventoryPhysics(inst)
    
    inst.AnimState:SetBank("moditem")
    inst.AnimState:SetBuild("combatdown")
    inst.AnimState:PlayAnimation("idle")


    inst:AddComponent("stackable")
	inst.components.stackable.maxsize = TUNING.STACK_SIZE_SMALLITEM
 
    inst:AddComponent("inspectable")  
    
    inst:AddComponent("inventoryitem")      
	inst.components.inventoryitem.atlasname = "images/inventoryimages/combatdown.xml"


    
   	inst:AddComponent("edible")
    inst.components.edible.foodtype = "COMBATDOWN"
    

        

        return inst 
    end 
    return Prefab("common/inventory/combatdown", fn, assets) 


