local assets =
{
	Asset("ANIM", "anim/combatup.zip"),
	Asset("IMAGE", "images/inventoryimages/combatup.tex"),
	Asset("ATLAS", "images/inventoryimages/combatup.xml"),
}


local function fn(Sim)
	local inst = CreateEntity()
	inst.entity:AddTransform()
	inst.entity:AddAnimState()

    MakeInventoryPhysics(inst)
    
    inst.AnimState:SetBank("moditem")
    inst.AnimState:SetBuild("combatup")
    inst.AnimState:PlayAnimation("idle")



    inst:AddComponent("stackable")
	inst.components.stackable.maxsize = TUNING.STACK_SIZE_SMALLITEM
 
    inst:AddComponent("inspectable")  
    
    inst:AddComponent("inventoryitem")      
	inst.components.inventoryitem.atlasname = "images/inventoryimages/combatup.xml"

   	inst:AddComponent("edible")
    inst.components.edible.foodtype = "COMBATUP"
    

        

        return inst 
    end 
    return Prefab("common/inventory/combatup", fn, assets) 


