local assets =
{
	Asset("ANIM", "anim/pencil.zip"),
	Asset("IMAGE", "images/inventoryimages/pencil.tex"),
	Asset("ATLAS", "images/inventoryimages/pencil.xml"),
}


local function fn(Sim)
	local inst = CreateEntity()
	inst.entity:AddTransform()
	inst.entity:AddAnimState()

    MakeInventoryPhysics(inst)
    
    inst.AnimState:SetBank("moditem")
    inst.AnimState:SetBuild("pencil")
    inst.AnimState:PlayAnimation("idle")


    inst:AddComponent("stackable")
	inst.components.stackable.maxsize = TUNING.STACK_SIZE_SMALLITEM
 
    inst:AddComponent("inspectable")  
    
    inst:AddComponent("inventoryitem")      
	inst.components.inventoryitem.atlasname = "images/inventoryimages/pencil.xml"

    inst:AddComponent("fuel")
    inst.components.fuel.fuelvalue = TUNING.SMALL_FUEL
    
    MakeSmallBurnable(inst, TUNING.SMALL_BURNTIME)
    MakeSmallPropagator(inst)

        

        return inst 
    end 
    return Prefab("common/inventory/pencil", fn, assets) 


