local assets =
{
	Asset("ANIM", "anim/healthup.zip"),
	Asset("IMAGE", "images/inventoryimages/healthup.tex"),
	Asset("ATLAS", "images/inventoryimages/healthup.xml"),
}


local function fn(Sim)
	local inst = CreateEntity()
	inst.entity:AddTransform()
	inst.entity:AddAnimState()

    MakeInventoryPhysics(inst)
    
    inst.AnimState:SetBank("moditem")
    inst.AnimState:SetBuild("healthup")
    inst.AnimState:PlayAnimation("idle")


    inst:AddComponent("stackable")
	inst.components.stackable.maxsize = TUNING.STACK_SIZE_SMALLITEM
 
    inst:AddComponent("inspectable")  
    
    inst:AddComponent("inventoryitem")      
	inst.components.inventoryitem.atlasname = "images/inventoryimages/healthup.xml"

    inst:AddComponent("edible")
    inst.components.edible.foodtype = "HEALTHUP"
     

        

    return inst 
end 
return Prefab("common/inventory/healthup", fn, assets) 


